<?
 if ($say) {
  if ($say=='to') {
  if ($player["flud"]) msg("Защита от флуда!<br/>Сможете говорить через <strong>".date("s сек",$player["time_flud"]-time())."</strong>");
  if ($player["nak"]) msg("Вы заблокированы системой, еще <strong>".date("i мин s сек",$player["nak_time"]-time())."</strong>");
$player["flud"]=1;
$player["time_flud"]=time()+15;
if ($translit=="1") {
require "transl.php";
		}
			$skaz = strtolower($skaz);
				$s = strtolower($s);
	$s=$to.$skaz;
	// UTF-8 русские буквы
	$s=str_replace('\\',"[...]",$s);
	$s=str_replace('"',"[...]",$s);
	$s=str_replace("'","...",$s);
	$s=str_replace("|","[...]",$s);
	$s=str_replace("<","[...]",$s);
	$s=str_replace(">","[...]",$s);
	$s=str_replace("$","[...]",$s);
	$s=str_replace("бля","[мат]",$s);
	$s=str_replace("сука","[мат]",$s);
	$s=str_replace("лох","[мат]",$s);
	$s=str_replace("хуй","[мат]",$s);
	$s=str_replace("х.у.й","[мат]",$s);
	$s=str_replace("пидр","[мат]",$s);
	$s=str_replace("ПИДР","[мат]",$s);
	$s=str_replace("ХУЙ","[мат]",$s);
	$s=str_replace("л.о.х","[мат]",$s);
	$s=str_replace("педик","[мат]",$s);
	$s=str_replace("нахуй","[мат]",$s);
	$s=str_replace("ЛОХ","[мат]",$s);
	$s=str_replace("Л.О.Х","[мат]",$s);
	$s=str_replace("еблан","[мат]",$s);
	$s=str_replace("ублюдок","[мат]",$s);
	$s=str_replace("с.у.к.а","[мат]",$s);
	$s=str_replace(".ru","[реклама]",$s);
	$s=str_replace(".org","[реклама]",$s);
	$s=str_replace(".net","[реклама]",$s);
	$s=str_replace(".com","[реклама]",$s);
	$s=str_replace(".ua","[реклама]",$s);
	$s=str_replace(".mobi","[реклама]",$s);
	$s=str_replace(".RU","[реклама]",$s);
	$s=str_replace(".su","[реклама]",$s);
	$s=str_replace(".NET","[реклама]",$s);
	if (ereg("[[реклама]]+",$s)) {
	$player["nak"]=1;
	$player["nak_time"]=time()+1800;
$like=date("d.m.y H:i");
$fp=@fopen("data/nak.dat","a+");
fwrite($fp, "Система|$like|".$player["title"]."|Блокирован(а) на 30 минут, реклама в игре.\n");
fclose($fp);
	msg("В тексте обноружена реклама.<br/>Вы не сможете говорить, писать контакты еще 30 минут");
	}
	if (ereg("[[мат]]+",$s)){
	$player["nak"]=1;
	$player["nak_time"]=time()+2040;
$like=date("d.m.y H:i");
$fp=@fopen("data/nak.dat","a+");
fwrite($fp, "Система|$like|".$player["title"]."|Блокирован(а) на 34 минут, мат в игре.\n");
fclose($fp);
	msg("В тексте обноружен мат.<br/>Вы не сможете говорить, писать контакты еще 34 минуты");
	}
	// блокируем его, есле есть нарушения
    $skaz=substr($s,0,250);
$like=date("d.m.y H:i");
$fp=@fopen("data/say.dat","a+");
fwrite($fp, "$player[title]|$like|$player[title] - $say_title : $skaz\n");
fclose($fp);
	// добавим всем, включая себя, в журнал что сказали
	$skaz = strtolower($skaz);
	if ($privat || $player["privat"]){
		$skaz = strtolower($skaz);
	if (!$player["ghost"]) addjournal($say_login,"<strong>!</strong>[".$player["title"]."]: ".$skaz);
	if (!$player["ghost"]) addjournal($login,"".$player["title"]." - $say_title: ".$skaz);
	if (!$player["ghost"]) addjournal($admin,"<strong>!</strong> ".$player["title"]." - $say_title: ".$skaz." /приватно");
	if (!$player["ghost"]) addjournal($admin2,"<strong>!</strong> ".$player["title"]." - $say_title: ".$skaz." /приватно");
	}else{
 if (!$player["ghost"])  addjournal($admin,"".$player["title"]." - $say_title: ".$skaz." /в игре");
	 if (!$player["ghost"])  addjournal($admin2,"".$player["title"]." - $say_title: ".$skaz." /в игре");
	
	if (!$player["ghost"]) addjournalall($player["loc"],$player["title"]." - ".$say_title.": ".$skaz);
		else foreach (array_keys($game["loc"][$player["loc"]]) as $i) if (substr($i,0,5)=='user.'){
		$skills=split("\|",$game["loc"][$player["loc"]][$i]["skills"]);
		if (rand(0,100)<=$skills[21]*20) addjournal($i,$player["title"]." - ".$say_title.":".$skaz);}
			else {
				$stmp = preg_replace("/[A-ZА-Я]/","O",$skaz);
				$stmp = preg_replace("/[a-zа-я]/","o",$stmp);
				addjournal($i,$player["title"].": ".$stmp);
				}
	// добавим в макросы, что последнее действие было say
	$player["macros"]["last"]["action"]="say";
	$player["macros"]["last"]["object"]="\"".$skaz."\"";
	
	
	}
	
	
	
	}
}	
?>